public void Cleanup() { if (libraryServicesCore != null) { libraryServicesCore.Cleanup(); libraryServicesCore = null; } }
public void CleanUp() { if (testCore != null) { testCore.Cleanup(); testCore = null; } }
public override void Cleanup() { if (libraryServicesCore != null) { libraryServicesCore.Cleanup(); libraryServicesCore = null; } libraryServices = null; base.Cleanup(); DynamoUtilities.DynamoPathManager.DestroyInstance(); }
public virtual void TearDown() { core.Cleanup(); thisTest.CleanUp(); }
public void CleanUp() { testCore.Cleanup(); }
public bool RunScript(string dsPath) { if (string.IsNullOrEmpty(GeometryFactoryName)) throw new Exception("GeometryFactory not set!"); if (string.IsNullOrEmpty(PersistenceManagerName)) throw new Exception("PersistenceManager not set!"); if (!File.Exists(dsPath)) throw new FileNotFoundException(dsPath + " Does not exist"); bool success = false; System.IO.StringWriter stringStream = new StringWriter(); executionLog = new StringBuilder(); ProtoCore.Core core = null; try { var options = new ProtoCore.Options(); string assemblyLocation = System.Reflection.Assembly.GetExecutingAssembly().Location; string incDir = Path.GetDirectoryName(assemblyLocation); options.IncludeDirectories.Add(incDir); core = new ProtoCore.Core(options); core.BuildStatus.SetStream(stringStream); core.Options.RootModulePathName = ProtoCore.Utils.FileUtils.GetFullPathName(dsPath); core.Executives.Add(ProtoCore.Language.kAssociative, new ProtoAssociative.Executive(core)); core.Executives.Add(ProtoCore.Language.kImperative, new ProtoImperative.Executive(core)); core.Configurations.Add(Autodesk.DesignScript.Interfaces.ConfigurationKeys.GeometryFactory, GeometryFactoryName); core.Configurations.Add(Autodesk.DesignScript.Interfaces.ConfigurationKeys.PersistentManager, PersistenceManagerName); ProtoScript.Runners.ProtoScriptTestRunner fsr = new ProtoScript.Runners.ProtoScriptTestRunner(); ExecutionMirror mirror = fsr.LoadAndExecute(dsPath, core); executionLog.AppendLine("Script executed successfully."); executionLog.AppendLine(); executionLog.AppendLine("=================================CoreDump================================="); string coreDump = null; try { coreDump = mirror.GetCoreDump(); executionLog.AppendLine(); executionLog.AppendLine(coreDump); success = true; } catch (System.Exception ex) { executionLog.AppendLine(ex.Message); executionLog.AppendLine(ex.StackTrace); success = false; } finally { executionLog.AppendLine("=================================CoreDump================================="); } } catch (System.Exception ex) { success = false; executionLog.AppendLine("Fail to execute script."); executionLog.AppendLine("Exceptions:"); executionLog.AppendLine(ex.Message); executionLog.AppendLine("StackTrace:"); executionLog.AppendLine(ex.StackTrace); } finally { if (core != null) { core.BuildStatus.SetStream(null); core.Cleanup(); } } return success; }
public bool RunScript(string dsPath) { if (string.IsNullOrEmpty(GeometryFactoryName)) { throw new Exception("GeometryFactory not set!"); } if (string.IsNullOrEmpty(PersistenceManagerName)) { throw new Exception("PersistenceManager not set!"); } if (!File.Exists(dsPath)) { throw new FileNotFoundException(dsPath + " Does not exist"); } bool success = false; System.IO.StringWriter stringStream = new StringWriter(); executionLog = new StringBuilder(); ProtoCore.Core core = null; try { var options = new ProtoCore.Options(); string assemblyLocation = System.Reflection.Assembly.GetExecutingAssembly().Location; string incDir = Path.GetDirectoryName(assemblyLocation); options.IncludeDirectories.Add(incDir); core = new ProtoCore.Core(options); //core.BuildStatus.SetStream(stringStream); core.Options.RootModulePathName = ProtoCore.Utils.FileUtils.GetFullPathName(dsPath); core.Executives.Add(ProtoCore.Language.kAssociative, new ProtoAssociative.Executive(core)); core.Executives.Add(ProtoCore.Language.kImperative, new ProtoImperative.Executive(core)); core.Configurations.Add(Autodesk.DesignScript.Interfaces.ConfigurationKeys.GeometryFactory, GeometryFactoryName); core.Configurations.Add(Autodesk.DesignScript.Interfaces.ConfigurationKeys.PersistentManager, PersistenceManagerName); ProtoScript.Runners.ProtoScriptTestRunner fsr = new ProtoScript.Runners.ProtoScriptTestRunner(); ExecutionMirror mirror = fsr.LoadAndExecute(dsPath, core); executionLog.AppendLine("Script executed successfully."); executionLog.AppendLine(); executionLog.AppendLine("=================================CoreDump================================="); string coreDump = null; try { coreDump = mirror.GetCoreDump(); executionLog.AppendLine(); executionLog.AppendLine(coreDump); success = true; } catch (System.Exception ex) { executionLog.AppendLine(ex.Message); executionLog.AppendLine(ex.StackTrace); success = false; } finally { executionLog.AppendLine("=================================CoreDump================================="); } } catch (System.Exception ex) { success = false; executionLog.AppendLine("Fail to execute script."); executionLog.AppendLine("Exceptions:"); executionLog.AppendLine(ex.Message); executionLog.AppendLine("StackTrace:"); executionLog.AppendLine(ex.StackTrace); } finally { if (core != null) { //core.BuildStatus.SetStream(null); core.Cleanup(); } } return(success); }